Vulnerability in Firefox 3.5.1

Don’t freak out or anything. Just be aware that an outsider may hack into your system and destroy it from the inside out.

Really, a vulnerability in Firefox 3.5.1 has been found. Don’t be afraid though. A way to protect yourself exists (and I’m sure people are working on it).

NoScript, a small, free, open source add-on for Firefox “allows JavaScript, Java and Flash and other plugins to be executed only by trusted web sites of your choice (e.g. your online bank), and provides the most powerful Anti-XSS protection available in a browser” (straight from the NoScript download page).

Good luck avoiding the work of the world’s nasty people.

Advertisements

2 responses to “Vulnerability in Firefox 3.5.1

  1. This is good to know. I’ll take a look at NoScript.

    • NoScript can be annoying, but it can also be very useful. It’s the never-ending battle between security and usability.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s